## xml2rfc 2.47.0

=== requirements.txt ===
#configargparse>=1.2.3
google-i18n-address>=2.3.2
html5lib>=1.0.1
intervaltree>=2.1.0,!=3.0.0
jinja2>=2.10.3,<3.0
kitchen>=1.2.6
lxml>=2.2.8,!=4.3.1
pycountry>=1.8,!=19.7.15
pyflakes>=0.8.1
pyyaml>=5.3.1
requests>=2.5.0
setuptools>=18.0
six>=1.4.1

=== debian/changelog ===
xml2rfc (2.47.0-1) unstable; urgency=medium

  * New upstream release
  * Remove symlink created during build in clean rather than debian/xml2rfc.1
    so that a debian/xml2rfc.1 failure doesn't leave unbuildable source
  * Add python3-jinja2 and python3-yaml to build depends
  * Add debian/source/lintian-overrides since lintian is wrong about a
    number of things now
  * Update debian/copyright

 -- Scott Kitterman <scott@kitterman.com>  Sat, 15 Aug 2020 13:58:13 -0400

xml2rfc (2.45.3-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Fri, 12 Jun 2020 09:07:03 -0400

xml2rfc (2.45.2-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Fri, 05 Jun 2020 23:34:54 -0400

xml2rfc (2.45.1-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Tue, 02 Jun 2020 00:46:36 -0400

xml2rfc (2.45.0-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Sun, 31 May 2020 01:32:51 -0400

xml2rfc (2.44.0-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Sun, 26 Apr 2020 19:35:37 -0400

xml2rfc (2.43.0-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Thu, 16 Apr 2020 14:07:37 -0400

xml2rfc (2.42.0-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Sat, 04 Apr 2020 10:42:02 -0400

xml2rfc (2.41.0-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Mon, 23 Mar 2020 04:47:42 -0400

xml2rfc (2.40.1-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Fri, 28 Feb 2020 23:31:28 -0500

=== debian/control ===
Source: xml2rfc
Section: non-free/text
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 help2man,
 pyflakes3,
 python3,
 python3-google-i18n-address,
 python3-html5lib,
 python3-intervaltree,
 python3-jinja2,
 python3-kitchen,
 python3-lxml,
 python3-pycountry,
 python3-requests,
 python3-setuptools,
 python3-yaml,
Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Uploaders:
 Scott Kitterman <scott@kitterman.com>,
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/debian/pkg-xml2rfc.git
Vcs-Browser: https://salsa.debian.org/debian/pkg-xml2rfc
Homepage: https://pypi.python.org/pypi/xml2rfc/
Rules-Requires-Root: no
XS-Autobuild: yes

Package: xml2rfc
Architecture: all
Depends:
 python3-lxml,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 fonts-noto-cjk,
 fonts-noto-core,
 fonts-noto-unhinted,
 python3-cairo,
 python3-dict2xml,
 python3-pypdf2,
 weasyprint
Description: XML-based formatting tool for RFCs
 This package provides xml2rfc, a tool which creates text, HTML and
 nroff output in the format required for Internet-Drafts and RFCs.  The
 text and nroff output is suitable for input to the RFC editor.
 .
 The DTD used by the XML documents is described in RFC 2629.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with=python3 --buildsystem=pybuild

debian/xml2rfc.1:
	ln -s run.py xml2rfc/xml2rfc
	PYTHONPATH=. help2man -n 'format RFCs using XML markup' -N ./xml2rfc/xml2rfc -o $@

override_dh_installman: debian/xml2rfc.1
	dh_installman

# silly workaround for emacs turds left in upstream tarball
override_dh_clean:
	dh_clean --exclude=xml~ --exclude=nroff~ --exclude=svn-prop.tmp~
	rm -f xml2rfc/xml2rfc

override_dh_auto_test:
	# Needs network access, rely on autopkgtest instead

=== debian/tests/control ===
Tests: run-pytest
Depends: @, python3-all, fonts-noto-cjk, fonts-noto-core, fonts-noto-unhinted, python3-cairo, python3-dict2xml, python3-pypdf2, weasyprint
Restrictions: allow-stderr

## xml2rfc 3.12.2

=== requirements.txt ===
appdirs>=1.4.4
configargparse>=1.2.3
google-i18n-address>=2.3.2
html5lib>=1.0.1
intervaltree>=2.1.0,!=3.0.0
jinja2>=2.11,<3.0
kitchen>=1.2.6
lxml>=2.2.8,!=4.3.1
pycountry>=1.8,!=19.7.15
pyflakes>=0.8.1
pyyaml>=5.3.1
requests>=2.5.0
setuptools>=24.2.0
six>=1.4.1

=== debian/changelog ===
xml2rfc (3.12.2-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * ensure that xml2rfc/run.py is executable during manpage generation

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 17 Feb 2022 18:03:12 -0500

xml2rfc (3.12.1-1) unstable; urgency=medium

  * New upstream release
    - Refresh patches
  * Add Forwarded: not-needed to d/p/0001-Set-shebang-lines-to-python3.patch
    and drop related lintian-override

 -- Scott Kitterman <scott@kitterman.com>  Wed, 02 Feb 2022 08:57:36 -0500

xml2rfc (3.12.0-2) unstable; urgency=medium

  * Update package description to mention building PDF documents
  * Update to work with weasyprint > 53.0 (Closes: #1001824)
    - Update depends and test depends
    - Add debian/patches/0002-build-pdf-weasyprint-53.patch

 -- Scott Kitterman <scott@kitterman.com>  Sun, 19 Dec 2021 17:53:10 -0500

xml2rfc (3.12.0-1) unstable; urgency=medium

  * New upstream version 3.12.0
  * d/copyright: correct dates
  * suppress yet another warning about minified js files

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 13 Dec 2021 23:42:34 +0200

xml2rfc (3.10.0-1) unstable; urgency=medium

  * New upstream version 3.10.0
  * move to unstable
  * d/control: use non-pypi Homepage
  * bump standards-version from 4.5.1 to 4.6.0 (no changes needed)
  * d/rules: streamline "clean" target
  * clean up lintian overrides
  * move to unstable

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 26 Oct 2021 15:56:43 -0400

xml2rfc (3.8.0-1) experimental; urgency=medium

  * New upstream version 3.8.0 to experimental

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 21 May 2021 00:16:34 -0400

xml2rfc (3.7.0-1) experimental; urgency=medium

  * New upstream release to experimental

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 08 Apr 2021 08:41:02 -0400

xml2rfc (3.5.0-1) experimental; urgency=medium

  * new upstream release to experimental (closes: #983066)
  * upstream/signing-key.asc: update Henrik's key with new self-sigs
  * New upstream version 3.5.0
  * update dependencies
  * move to dh 13
  * Standards-Version: bump to 4.5.1 (no changes needed)
  * handle all shebang lines
  * upstream dropped W3C-licensed code from source
  * clean up lintian-overrides
  * wrap-and-sort -ast
  * tests/control: (pytest) depend on python3-decorator
  * d/copyright: note inclusion of Unicode data file Scripts.txt
  * override lintian warning about Scripts.txt

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 18 Feb 2021 18:39:36 -0500

=== debian/control ===
Source: xml2rfc
Section: non-free/text
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 help2man,
 pyflakes3,
 python3,
 python3-appdirs (>= 1.4.4),
 python3-configargparse (>= 1.2.3),
 python3-google-i18n-address,
 python3-html5lib,
 python3-intervaltree,
 python3-jinja2 (>= 2.11),
 python3-kitchen,
 python3-lxml,
 python3-pycountry,
 python3-requests,
 python3-setuptools,
 python3-yaml,
Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Uploaders:
 Scott Kitterman <scott@kitterman.com>,
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/debian/pkg-xml2rfc.git
Vcs-Browser: https://salsa.debian.org/debian/pkg-xml2rfc
Homepage: https://xml2rfc.tools.ietf.org/
Rules-Requires-Root: no
XS-Autobuild: yes

Package: xml2rfc
Architecture: all
Depends:
 python3-lxml,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 fonts-noto-cjk,
 fonts-noto-core,
 fonts-noto-unhinted,
 python3-dict2xml,
 python3-pypdf2,
 weasyprint (>= 53),
Description: XML-based formatting tool for RFCs
 This package provides xml2rfc, a tool which creates text, HTML, PDF, and
 nroff output in the format required for Internet-Drafts and RFCs.  The
 text and nroff output is suitable for input to the RFC editor.
 .
 The DTD used by the XML documents is described in RFC 2629.

=== debian/tests/control ===
Tests: run-pytest
Depends:
 fonts-noto-cjk,
 fonts-noto-core,
 fonts-noto-unhinted,
 python3-all,
 python3-dict2xml,
 python3-pypdf2,
 weasyprint,
 @,
Restrictions: allow-stderr

## xml2rfc 3.13.1

=== debian/changelog ===
xml2rfc (3.13.1-1) unstable; urgency=medium

  * New upstream release.
  * d/copyright: point to new upstream maintainer
  * refresh patches
  * Standards-Version: bump to 4.6.1 (no changes needed)
  * update lintian-overrides
  * use newer PyPDF2
  * refresh patches

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 19 Jul 2022 23:03:44 -0400

xml2rfc (3.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 14 Apr 2022 11:14:15 -0700

xml2rfc (3.12.3-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 02 Mar 2022 07:21:15 -0500

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Uploaders:
  Scott Kitterman <scott@kitterman.com>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/debian/pkg-xml2rfc.git
 Vcs-Browser: https://salsa.debian.org/debian/pkg-xml2rfc
 Homepage: https://xml2rfc.tools.ietf.org/

## xml2rfc 3.16.0

=== requirements.txt ===
appdirs>=1.4.4
configargparse>=1.2.3
google-i18n-address>=2.3.2
html5lib>=1.0.1
intervaltree>=3.1.0
jinja2>=3.1.2
markupsafe>=2.1.1
lxml>=4.9.0
pycountry>=22.3.5
pyyaml>=5.3.1
requests>=2.5.0
setuptools>=24.2.0
six>=1.4.1
wcwidth>=0.2.5

=== debian/changelog ===
xml2rfc (3.16.0-1) unstable; urgency=medium

  * New upstream release
  * refresh patches
  * move from PyPDF2 to pypdf, following upstream
  * Standards-Version: bump to 4.6.2 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 23 Jan 2023 13:42:45 -0500

xml2rfc (3.15.3-1) unstable; urgency=medium

  * New upstream release
  * Work around brittle test (Closes: #1027930)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 12 Jan 2023 09:38:22 -0500

xml2rfc (3.15.2-2) UNRELEASED; urgency=medium

  * import upstream fix for pypdf warning

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 07 Nov 2022 23:21:41 -0500

xml2rfc (3.15.2-1) unstable; urgency=medium

  * New upstream release.
  * drop patches already upstream
  * update upstream signing key (see
    https://mailarchive.ietf.org/arch/msg/tools-discuss/vlZ7ToWeOHy16qOmvXjGfZmIHFQ)
  * update dependencies

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 03 Nov 2022 14:10:23 -0400

=== debian/control ===
--- 
+++ 
@@ -9,20 +9,22 @@
  python3,
  python3-appdirs (>= 1.4.4),
  python3-configargparse (>= 1.2.3),
+ python3-dict2xml,
  python3-google-i18n-address,
  python3-html5lib,
  python3-intervaltree,
  python3-jinja2 (>= 2.11),
- python3-kitchen,
  python3-lxml,
  python3-pycountry,
+ python3-pypdf,
  python3-requests,
  python3-setuptools,
+ python3-wcwidth (>= 0.2.5),
  python3-yaml,
 Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Uploaders:
  Scott Kitterman <scott@kitterman.com>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/pkg-xml2rfc.git
 Vcs-Browser: https://salsa.debian.org/debian/pkg-xml2rfc
 Homepage: https://xml2rfc.tools.ietf.org/
@@ -40,7 +42,7 @@
  fonts-noto-core,
  fonts-noto-unhinted,
  python3-dict2xml,
- python3-pypdf2,
+ python3-pypdf,
  weasyprint (>= 53),
 Description: XML-based formatting tool for RFCs
  This package provides xml2rfc, a tool which creates text, HTML, PDF, and

=== debian/tests/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
  fonts-noto-unhinted,
  python3-all,
  python3-dict2xml,
- python3-pypdf2,
+ python3-pypdf,
  weasyprint,
  @,
 Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
 https://pypi.python.org/packages/source/x/@PACKAGE@/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## xml2rfc 3.18.0

=== requirements.txt ===
platformdirs>=3.6.0
configargparse>=1.2.3
google-i18n-address>=3.0.0
intervaltree>=3.1.0
jinja2>=3.1.2
lxml>=4.9.0
pycountry>=22.3.5
pyyaml>=5.3.1
requests>=2.5.0
setuptools>=24.2.0
six>=1.4.1
wcwidth>=0.2.5

=== debian/changelog ===
xml2rfc (3.18.0-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Mon, 07 Aug 2023 11:52:13 -0400

xml2rfc (3.17.5-1) unstable; urgency=medium

  * Add Forwarded: not-needed to patch headers
  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Sun, 30 Jul 2023 12:10:03 -0400

xml2rfc (3.17.4-1) unstable; urgency=medium

  * Upload to unstable
  * Update d/watch and remove obsolete signatures since pypi no longer
    supports signed tarballs
  * New upstream release
  * Replace build-depends on python3-appdirs with python3-platformdirs to
    match upstream change
  * Add debian/patches/0003-Use-old-i18n-address-error-class.patch to work
    with the google-i18n-address version in Debian
    - Also set maximum version for python3-google-i18n-address to << 3.0
    - Drop the patch when google-i18n-address us updated
  * Add debian/py3dist-overrides to override the upstream platformdirs version
    requirement, it is not needed
  * Add needs-internet restriction to debian/tests/control (Closes: #1036732)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 28 Jun 2023 01:28:09 -0400

xml2rfc (3.17.1-1) experimental; urgency=medium

  * New upstream release to experimental (due to freeze)
  * refresh patches
  * explicitly build-depend on pybuild-plugin-pyproject to satisfy Lintian
    (missing-prerequisite-for-pyproject-backend)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 19 Apr 2023 21:49:57 -0400

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
  debhelper-compat (= 13),
  dh-python,
  help2man,
+ pybuild-plugin-pyproject,
  pyflakes3,
  python3,
- python3-appdirs (>= 1.4.4),
+ python3-platformdirs,
  python3-configargparse (>= 1.2.3),
  python3-dict2xml,
- python3-google-i18n-address,
+ python3-google-i18n-address (<< 3.0),
  python3-html5lib,
  python3-intervaltree,
  python3-jinja2 (>= 2.11),

=== debian/tests/control ===
--- 
+++ 
@@ -8,4 +8,4 @@
  python3-pypdf,
  weasyprint,
  @,
-Restrictions: allow-stderr
+Restrictions: allow-stderr, needs-internet

## xml2rfc 3.19.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+# Update setup.cfg as well
 platformdirs>=3.6.0
 configargparse>=1.2.3
 google-i18n-address>=3.0.0

=== debian/changelog ===
xml2rfc (3.19.0-1) unstable; urgency=medium

  * New upstream release
  * Replace Recommends: fonts-noto-core and fonts-noto-unhinted with
    Recommends: fonts-noto since fonts-noto-unhinted no longer provides fonts
    (Closes: #1050053)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 08 Jan 2024 13:11:35 -0500

=== debian/control ===
--- 
+++ 
@@ -39,9 +39,8 @@
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
+ fonts-noto,
  fonts-noto-cjk,
- fonts-noto-core,
- fonts-noto-unhinted,
  python3-dict2xml,
  python3-pypdf,
  weasyprint (>= 53),

## xml2rfc 3.20.0

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 google-i18n-address>=3.0.0
 intervaltree>=3.1.0
 jinja2>=3.1.2
-lxml>=4.9.0
+lxml>=4.9.0,<5.0.0
 pycountry>=22.3.5
 pyyaml>=5.3.1
 requests>=2.5.0

=== debian/changelog ===
xml2rfc (3.20.0-1) unstable; urgency=medium

  * New upstream release
    - Refresh patches

 -- Scott Kitterman <scott@kitterman.com>  Mon, 26 Feb 2024 09:09:17 -0500

xml2rfc (3.19.4-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Wed, 07 Feb 2024 10:18:31 -0500

xml2rfc (3.19.2-1) unstable; urgency=medium

  * Add fonts-roboto to Recommends per upstream README
  * New upstream release
  * Add hint-testsuite-triggers to d/tests/control so that if
    libxml2 is updated, xml2rfc autopkgtest will be triggered
    - Although xml2rfc does not directly depend on libxml2, it is used by
      python3-lxml and can break xml2rfc

 -- Scott Kitterman <scott@kitterman.com>  Fri, 02 Feb 2024 09:52:02 -0500

=== debian/control ===
--- 
+++ 
@@ -41,6 +41,7 @@
 Recommends:
  fonts-noto,
  fonts-noto-cjk,
+ fonts-roboto,
  python3-dict2xml,
  python3-pypdf,
  weasyprint (>= 53),

=== debian/watch ===
version=4
https://pypi.python.org/packages/source/x/@PACKAGE@/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## xml2rfc 3.22.0

=== debian/changelog ===
xml2rfc (3.22.0-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Mon, 08 Jul 2024 09:11:12 -0400

xml2rfc (3.21.0-1) unstable; urgency=medium

  * New upstream release
  * Bump standards-verstion to 4.7.0 without further change

 -- Scott Kitterman <scott@kitterman.com>  Sat, 13 Apr 2024 15:55:35 -0400

xml2rfc (3.20.1-1) unstable; urgency=medium

  * New upstream release
    - Refresh patches and drop d/p/0004-Fix-bad-pdf-trick.patch (incorporated
      upstream) 

 -- Scott Kitterman <scott@kitterman.com>  Wed, 13 Mar 2024 12:42:01 -0400

xml2rfc (3.20.0-3) unstable; urgency=medium

  * Revert minimum python3-pdf version, not actually needed

 -- Scott Kitterman <scott@kitterman.com>  Tue, 12 Mar 2024 09:27:21 -0400

xml2rfc (3.20.0-2) unstable; urgency=medium

  * Add d/p/0004-Fix-bad-pdf-trick.patch to fix PyPDF 4.1.0 compatibility
  * Set minimum python3-pypdf version in d/control and d/tests/control

 -- Scott Kitterman <scott@kitterman.com>  Fri, 08 Mar 2024 23:42:50 -0500

## xml2rfc 3.23.0

=== requirements.txt ===
--- 
+++ 
@@ -9,5 +9,4 @@
 pyyaml>=5.3.1
 requests>=2.5.0
 setuptools>=24.2.0
-six>=1.4.1
 wcwidth>=0.2.5

=== debian/changelog ===
xml2rfc (3.23.0-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Sun, 25 Aug 2024 17:47:33 -0400

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
 Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Uploaders:
  Scott Kitterman <scott@kitterman.com>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/pkg-xml2rfc.git
 Vcs-Browser: https://salsa.debian.org/debian/pkg-xml2rfc
 Homepage: https://xml2rfc.tools.ietf.org/
@@ -43,7 +43,7 @@
  fonts-noto-cjk,
  fonts-roboto,
  python3-dict2xml,
- python3-pypdf,
+ python3-pypdf, 
  weasyprint (>= 53),
 Description: XML-based formatting tool for RFCs
  This package provides xml2rfc, a tool which creates text, HTML, PDF, and

=== debian/tests/control ===
--- 
+++ 
@@ -9,3 +9,7 @@
  weasyprint,
  @,
 Restrictions: allow-stderr, needs-internet
+
+Tests: hint-testsuite-triggers
+Depends: python3-libxml2
+Restrictions: hint-testsuite-triggers

## xml2rfc 3.30.2

=== debian/changelog ===
xml2rfc (3.30.2-1) unstable; urgency=medium

  * New upstream release
  * d/watch: update to version 5
  * trim trailing whitespace
  * drop unnecessary versioned dependencies
  * Drop Rules-Requires-Root: no
  * Standards-Version: bump to 4.7.2 (no changes needed)
  * Update patches
  * Try switching tests to autopkgtest
  * d/copyright: remove tests/ which is now gone from upstream
  * remove tests from lintian-overrides

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 24 Sep 2025 18:29:02 -0400

=== debian/control ===
--- 
+++ 
@@ -9,28 +9,28 @@
  pyflakes3,
  python3,
  python3-platformdirs,
- python3-configargparse (>= 1.2.3),
+ python3-configargparse,
  python3-dict2xml,
- python3-google-i18n-address (<< 3.0),
+ python3-google-i18n-address,
  python3-html5lib,
  python3-intervaltree,
- python3-jinja2 (>= 2.11),
+ python3-jinja2,
  python3-lxml,
  python3-pycountry,
  python3-pypdf,
  python3-requests,
  python3-setuptools,
- python3-wcwidth (>= 0.2.5),
+ python3-wcwidth,
  python3-yaml,
 Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Uploaders:
  Scott Kitterman <scott@kitterman.com>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/pkg-xml2rfc.git
 Vcs-Browser: https://salsa.debian.org/debian/pkg-xml2rfc
 Homepage: https://xml2rfc.tools.ietf.org/
-Rules-Requires-Root: no
 XS-Autobuild: yes
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: xml2rfc
 Architecture: all
@@ -43,7 +43,7 @@
  fonts-noto-cjk,
  fonts-roboto,
  python3-dict2xml,
- python3-pypdf, 
+ python3-pypdf,
  weasyprint (>= 53),
 Description: XML-based formatting tool for RFCs
  This package provides xml2rfc, a tool which creates text, HTML, PDF, and

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with=python3 --buildsystem=pybuild

debian/xml2rfc.1:
	ln -s run.py xml2rfc/xml2rfc
	chmod a+x xml2rfc/run.py
	PYTHONPATH=. help2man -n 'format RFCs using XML markup' -N ./xml2rfc/xml2rfc -o $@

override_dh_installman: debian/xml2rfc.1
	dh_installman

override_dh_auto_test:
	# Needs network access, rely on autopkgtest instead

=== debian/tests/control ===
Tests: hint-testsuite-triggers
Depends: python3-libxml2
Restrictions: hint-testsuite-triggers

=== debian/watch ===
Version: 5
Source: https://pypi.python.org/packages/source/x/xml2rfc/
Matching-Pattern: @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
